Subject: bug#63555: emacs 29 complains that it can't connect to the display

From: Robert Pluim <[email-masked]>
Date: Fri, 19 May 2023 17:44:48 +0200

>>>>> On Fri, 19 May 2023 17:52:06 +0300, Eli Zaretskii <[email-masked]> said:
    >> HAVE_X_WINDOWS is not defined in a pgtk build, so this code is never
    >> run. And it looks kind of X-specific in any case

    Eli> How did this work in Emacs 28, then?  IOW, which change broke this
    Eli> feature on Wayland?

Emacs 28 didnʼt have pgtk, so GTK <=> XWindows, even when running
under (X)Wayland.

Robert
--